> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/connectors-and-triggers/pt-br/connectors/structured-data/object-store/distinct-and-count-object-store.md).

# Como usar DISTINCT e COUNT no Object Store

Aprenda a agrupar e contar itens usando o conector Object Store.

O [**Object Store**](/documentation/connectors-and-triggers/pt-br/connectors/structured-data/object-store.md) é um banco de dados não relacional, o que significa que seus comandos e processos diferem daqueles usados em bancos de dados relacionais. Este artigo explica como:

1. Agrupar itens idênticos no **Object Store** (semelhante ao comando `DISTINCT` em bancos de dados relacionais).
2. Contar o número de objetos armazenados.

## **Usando DISTINCT**

Para agrupar e recuperar valores únicos no conector **Object Store**:

1. Em **Operation**, selecione **Aggregate**.
2. Em **Query**, utilize o seguinte comando, substituindo `"$price"` pelo campo que deseja agrupar:

```php
[{
    $group: {_id: null, uniqueValues: {$addToSet: "$price"}}
}]
```

Essa operação retorna apenas os valores únicos. Por exemplo:

```json
{
  "data": [
    {
      "uniqueValues": [
        699,
        1620,
        5000
      ]
    }
  ],
  "rowCount": 0
}
```

## **Usando COUNT**

Para contar o número total de registros no **Object Store**:

1. Em **Operation**, selecione **Aggregate**.
2. Em **Query**, utilize o seguinte comando:

```php
[{
    $group: {_id: null, count: { $sum: 1 }}
}]
```

Essa operação retorna o número total de registros armazenados no Object Store.

Para mais detalhes, consulte a documentação do conector [**Object Store**](/documentation/connectors-and-triggers/pt-br/connectors/structured-data/object-store.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/pt-br/connectors/structured-data/object-store/distinct-and-count-object-store.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
